*** Settings ***
Resource     base.robot

Test Setup         Nova sessão  
# Comportamento que será executado ANTES de cada caso de teste com a utilização de keywords

Test Teardown      Encerra sessão
# Comportamento que será executado APÓS cada caso de teste com a utilização de keywords

*** Test Cases ***
Selecionar por texto e validar pelo valor
    Go To                           ${url}/dropdown
    Select From List By Label       class:avenger-list              Scott Lang
# Pode ser utilizado o id no lugar da classe também para a seleção
    ${selected}=                    Get Selected List Value         class:avenger-list
    Should Be Equal                 ${selected}                     7

Selecionar pelo valor e validar pelo texto
    Go To                           ${url}/dropdown
    Select From List By Value       id:dropdown                     6
    ${selected}=                    Get Selected List Label         id:dropdown
    Should Be Equal                 ${selected}                     Loki
   